<?php
	$prod = false;
	
	require_once("./libraries/router.php");
	require_once("./libraries/console.php");
	
	// Display Errors
	ini_set('display_startup_errors', 1);
	ini_set('display_errors', 1);
	error_reporting(-1);
	
	// Display var_dump
	#var_dump($_SESSION);
	
	// Date Time Zone
	date_default_timezone_set('Europe/Prague');
	
	// site info
	$keywords = "Filip Rojek, rojek, vyvojar, developer, backend vyvojar, nodejs vyvojar, php vyvojar, web vyvojar, programator, linux administrator";
	$description = "Linux user, backend web developer and student.";
	$locale = "cs_CZ";
	$title = "Filip Rojek | Developer";
	$site_name = "Filip Rojek | Developer";
	$author = "Fofrweb | https://fofrweb.com";
	$email = "webmaster(@)fofrweb.com";
	$canonical = "https://www.filiprojek.cz/";
?>

<!doctype html>
<html>
<head>
	<meta charset="UTF-8" />
	<meta http-equiv="X-UA-Compatible" content="IE=edge" />
	<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=1.0" />
	<meta id="contentLanguage" http-equiv="Content-Language" content="<?= $locale ?>" />
	<meta name="keywords" content="<?= $keywords ?>" />
	<meta name="description" content="<?= $description ?>" />
	<meta property="og:locale" content="<?= $locale ?>" />
	<meta property="og:type" content="website" />
	<meta property="og:title" content="<?= $title ?>" />
	<meta property="og:description" content="<?= $description ?>" />
	<meta property="og:site_name" content="<?= $site_name ?>" />
	<meta name="author" content="<?= $author ?>" />
	<meta name="email" content="<?= $email ?>" />
	<meta name="copyright" content="<?= $copyright ?>" />
	<meta name="expires" content="never" />

<?php 
if($prod) { ?>
		<meta name="robots" content="index,follow" />
		<meta name="Seznambot" content="index,follow" />
		<meta name="Googlebot" content="index,follow" />
<?php } else { ?>
		<meta name="robots" content="noindex, nofollow" />
		<meta name="Seznambot" content="noindex, nofollow" />
		<meta name="Googlebot" content="noindex, nofollow" />
<?php } ?>

	<title><?= $title ?></title>
	<link rel="icon" type="image/x-icon" href="/img/fr.ico" />
	<link rel="canonical" href="<?= $canonical ?>" />
	<link rel="stylesheet" href="/css/style.css">
	<link rel="stylesheet" href="/css/variables.css">
</head>
<body>
	<?php
		require_once("./components/header.php");
	?>
	<section class="content">
		<?php
			$R = new Router();
			$R->route('GET', '/', 'home');
			$R->route('GET', '/home', 'home');
			$R->route('GET', '/domu', 'home');

			$R->route('POST', '/contact/send', 'contact');

			$R = null;
		?>
	</section>
	<footer>
		<?php
			require_once("./components/footer.php");
		?>
	</footer>
</body>
</html>

